#include "keyboard.h"
//----------------------
void KEYBOARD_Init(void)
{
	KEY_DDR = 0x0F;
	KEY_PORT = 0xFF;
}
//---------------------------
uChar KEYBOARD_ScanKey(void)
{
	for(uChar scanLine = 0; scanLine < COUNT_SCAN_LINE; scanLine++)
	{
		KEY_PORT = 0XFF;
		KEY_PORT &= ~(1 << scanLine);
		
		for(uChar line = COUNT_SCAN_LINE; line < (COUNT_SCAN_LINE*2); line++)
		{
			if(KEYBOARD_isCodeKey())
				return KEY_PIN;
		}
	}
	
	return KEY_NULL;
}
//---------------------------
bool KEYBOARD_isCodeKey(void)
{
	switch(KEY_PIN)
	{
		case KEY_ONE:
		case KEY_TWO:
		case KEY_THREE:
		case KEY_FOUR:
		case KEY_FIVE:
		case KEY_SIX:
		case KEY_SEVEN:
		case KEY_EIGHT:
		case KEY_NINE:
		case KEY_ZERO:
		case KEY_LEFT:
		case KEY_RIGHT:
		case KEY_UP:
		case KEY_DOWN:
		case KEY_MENU:
		case KEY_ENTER:
			return true;
		break;
		
		default: return false; break;
	}
}