#ifndef KEYBOARD_H
	#define KEYBOARD_H
	//-----------------
	#include "../header.h"
	//--------------------
	#define KEY_PORT PORTB
	#define KEY_DDR  DDRB
	#define KEY_PIN  PINB
	//-----------------------
	#define COUNT_SCAN_LINE 4
	//------------------------
	#define KEY_NULL      0x00
	#define KEY_ONE       0xEE
	#define KEY_FOUR      0xDE
	#define KEY_SEVEN     0xBE
	#define KEY_LEFT      0x7E
	#define KEY_TWO       0xED
	#define KEY_FIVE      0xDD
	#define KEY_EIGHT     0xBD
	#define KEY_ZERO      0x7D
	#define KEY_THREE     0xEB
	#define KEY_SIX       0xDB
	#define KEY_NINE      0xBB
	#define KEY_RIGHT     0x7B
	#define KEY_MENU      0xE7
	#define KEY_UP        0xD7
	#define KEY_DOWN      0xB7
	#define KEY_ENTER     0x77
	//--------------------------------
	extern void   KEYBOARD_Init(void);
	extern uChar  KEYBOARD_ScanKey(void);
	extern bool   KEYBOARD_isCodeKey(void);
#endif