#ifndef MENU_H
	#define MENU_H
	#include "header.h"
	//---------
	struct ITEM
	{
		uChar name[20];
		uChar id;
		struct ITEM  *previous; //   
		struct ITEM  *next; //   
		struct ITEM  *child; // 
		struct ITEM  *parent; //     
		void        (*process)(void); //     
	};
	//---------------------------------------
	extern void MENU_Init(struct ITEM *item);
	extern struct ITEM* MENU_AddItem(uChar *name, struct ITEM **item, void (*process)(void), struct ITEM *parent);
#endif