#ifndef ONEWIRE_H
	#define ONEWIRE_H
	//---------------------
	#include "../header.h"
	//------------------------
	#define ONEWIRE_PORT PORTD
	#define ONEWIRE_DDR  DDRD
	#define ONEWIRE_PIN  PIND
	//------------------
	#define ONEWIRE_DQ 0
	//--------------
	struct TEMP_TYPE
	{
		bool  sign; //   (0 - , 1 - )
		uChar temp_int; //   ( )
		uChar temp_fract; //   ( )
	};
	//------------------------
	extern void ONEWIRE_SET();
	extern void ONEWIRE_UNSET();
	extern uChar ONEWIRE_Init();
	extern void ONEWIRE_WriteBit(uChar bit);
	extern void ONEWIRE_WriteByte(uChar byte);
	extern uChar ONEWIRE_ReadBit();
	extern uChar ONEWIRE_ReadByte();
	extern struct TEMP_TYPE ONEWIRE_DecodeToDecimal(uChar low, uChar high);
#endif