#include "scheduler.h"
//------------------------------------
struct TASK_T scheduler[MAX_NUM_TASK];
//-------------------
void SCHEDULER_Init()
{
	for(uChar index = 0; index < MAX_NUM_TASK; index++)
		SCHEDULER_DeleteTask(index);
}
//-----------------------------------------------------------------------
void SCHEDULER_AddTask(uint32_t timer, bool state, void (*process)(void))
{	
	uChar index = 0;
	
	while(scheduler[index].process != NULL && index < MAX_NUM_TASK)
		index++;
	
	if(index < MAX_NUM_TASK)
	{
		struct TASK_T new_task = {timer, state, process};
		scheduler[index] = new_task;	
	}	
}
//--------------------------------------
void SCHEDULER_DeleteTask(uChar id_task)
{
	scheduler[id_task].timer      = 0;
	scheduler[id_task].state_task = off;
	scheduler[id_task].process    = NULL;
}